package com.ym.mec.auth.service.impl;

import com.ym.mec.auth.api.entity.SysUserLogin;
import com.ym.mec.auth.dal.dao.SysUserLoginDao;
import com.ym.mec.auth.service.SysUserLoginService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysUserLoginServiceImpl extends BaseServiceImpl<Long, SysUserLogin> implements SysUserLoginService {
	
	@Autowired
	private SysUserLoginDao sysUserLoginDao;

	@Override
	public BaseDAO<Long, SysUserLogin> getDAO() {
		return sysUserLoginDao;
	}

	@Override
	public SysUserLogin findLoginByUserId(Integer userId) {
		return sysUserLoginDao.findLoginByUserId(userId);
	}
}